Loading...
Searching...
No Matches
apierror.h File Reference
Core

Janus API errors definition. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | JANUS_OK 0
| Success (no error).
#define | JANUS_ERROR_UNAUTHORIZED 403
| Unauthorized (can only happen when using apisecret/auth token).
#define | JANUS_ERROR_UNAUTHORIZED_PLUGIN 405
| Unauthorized access to a plugin (can only happen when using auth token).
#define | JANUS_ERROR_UNKNOWN 490
| Unknown/undocumented error.
#define | JANUS_ERROR_TRANSPORT_SPECIFIC 450
| Transport related error.
#define | JANUS_ERROR_MISSING_REQUEST 452
| The request is missing in the message.
#define | JANUS_ERROR_UNKNOWN_REQUEST 453
| The Janus core does not suppurt this request.
#define | JANUS_ERROR_INVALID_JSON 454
| The payload is not a valid JSON message.
#define | JANUS_ERROR_INVALID_JSON_OBJECT 455
| The object is not a valid JSON object as expected.
#define | JANUS_ERROR_MISSING_MANDATORY_ELEMENT 456
| A mandatory element is missing in the message.
#define | JANUS_ERROR_INVALID_REQUEST_PATH 457
| The request cannot be handled for this webserver path.
#define | JANUS_ERROR_SESSION_NOT_FOUND 458
| The session the request refers to doesn't exist.
#define | JANUS_ERROR_HANDLE_NOT_FOUND 459
| The handle the request refers to doesn't exist.
#define | JANUS_ERROR_PLUGIN_NOT_FOUND 460
| The plugin the request wants to talk to doesn't exist.
#define | JANUS_ERROR_PLUGIN_ATTACH 461
| An error occurring when trying to attach to a plugin and create a handle.
#define | JANUS_ERROR_PLUGIN_MESSAGE 462
| An error occurring when trying to send a message/request to the plugin.
#define | JANUS_ERROR_PLUGIN_DETACH 463
| An error occurring when trying to detach from a plugin and destroy the related handle.
#define | JANUS_ERROR_JSEP_UNKNOWN_TYPE 464
| The Janus core doesn't support this SDP type.
#define | JANUS_ERROR_JSEP_INVALID_SDP 465
| The Session Description provided by the peer is invalid.
#define | JANUS_ERROR_TRICKE_INVALID_STREAM 466
| The stream a trickle candidate for does not exist or is invalid.
#define | JANUS_ERROR_INVALID_ELEMENT_TYPE 467
| A JSON element is of the wrong type (e.g., an integer instead of a string).
#define | JANUS_ERROR_SESSION_CONFLICT 468
| The ID provided to create a new session is already in use.
#define | JANUS_ERROR_UNEXPECTED_ANSWER 469
| We got an ANSWER to an OFFER we never made.
#define | JANUS_ERROR_TOKEN_NOT_FOUND 470
| The auth token the request refers to doesn't exist.
#define | JANUS_ERROR_WEBRTC_STATE 471
| The current request cannot be handled because of not compatible WebRTC state.
#define | JANUS_ERROR_NOT_ACCEPTING_SESSIONS 472
| The server is currently configured not to accept new sessions.

## Functions

const char * | janus_get_api_error (int error)
| Helper method to get a string representation of an API error code.

## Detailed Description

Janus API errors definition.

Author
  Lorenzo Miniero loren.nosp@m.zo@m.nosp@m.eetec.nosp@m.ho.c.nosp@m.om

Copyright
  GNU General Public License v3

Definition of all the API errors that may occur when invoking the Janus web-based JSON API.

Core

## Macro Definition Documentation

## JANUS_ERROR_HANDLE_NOT_FOUND

#define JANUS_ERROR_HANDLE_NOT_FOUND 459

The handle the request refers to doesn't exist.

## JANUS_ERROR_INVALID_ELEMENT_TYPE

#define JANUS_ERROR_INVALID_ELEMENT_TYPE 467

A JSON element is of the wrong type (e.g., an integer instead of a string).

## JANUS_ERROR_INVALID_JSON

#define JANUS_ERROR_INVALID_JSON 454

The payload is not a valid JSON message.

## JANUS_ERROR_INVALID_JSON_OBJECT

#define JANUS_ERROR_INVALID_JSON_OBJECT 455

The object is not a valid JSON object as expected.

## JANUS_ERROR_INVALID_REQUEST_PATH

#define JANUS_ERROR_INVALID_REQUEST_PATH 457

The request cannot be handled for this webserver path.

## JANUS_ERROR_JSEP_INVALID_SDP

#define JANUS_ERROR_JSEP_INVALID_SDP 465

The Session Description provided by the peer is invalid.

## JANUS_ERROR_JSEP_UNKNOWN_TYPE

#define JANUS_ERROR_JSEP_UNKNOWN_TYPE 464

The Janus core doesn't support this SDP type.

## JANUS_ERROR_MISSING_MANDATORY_ELEMENT

#define JANUS_ERROR_MISSING_MANDATORY_ELEMENT 456

A mandatory element is missing in the message.

## JANUS_ERROR_MISSING_REQUEST

#define JANUS_ERROR_MISSING_REQUEST 452

The request is missing in the message.

## JANUS_ERROR_NOT_ACCEPTING_SESSIONS

#define JANUS_ERROR_NOT_ACCEPTING_SESSIONS 472

The server is currently configured not to accept new sessions.

## JANUS_ERROR_PLUGIN_ATTACH

#define JANUS_ERROR_PLUGIN_ATTACH 461

An error occurring when trying to attach to a plugin and create a handle.

## JANUS_ERROR_PLUGIN_DETACH

#define JANUS_ERROR_PLUGIN_DETACH 463

An error occurring when trying to detach from a plugin and destroy the related handle.

## JANUS_ERROR_PLUGIN_MESSAGE

#define JANUS_ERROR_PLUGIN_MESSAGE 462

An error occurring when trying to send a message/request to the plugin.

## JANUS_ERROR_PLUGIN_NOT_FOUND

#define JANUS_ERROR_PLUGIN_NOT_FOUND 460

The plugin the request wants to talk to doesn't exist.

## JANUS_ERROR_SESSION_CONFLICT

#define JANUS_ERROR_SESSION_CONFLICT 468

The ID provided to create a new session is already in use.

## JANUS_ERROR_SESSION_NOT_FOUND

#define JANUS_ERROR_SESSION_NOT_FOUND 458

The session the request refers to doesn't exist.

## JANUS_ERROR_TOKEN_NOT_FOUND

#define JANUS_ERROR_TOKEN_NOT_FOUND 470

The auth token the request refers to doesn't exist.

## JANUS_ERROR_TRANSPORT_SPECIFIC

#define JANUS_ERROR_TRANSPORT_SPECIFIC 450

Transport related error.

## JANUS_ERROR_TRICKE_INVALID_STREAM

#define JANUS_ERROR_TRICKE_INVALID_STREAM 466

The stream a trickle candidate for does not exist or is invalid.

## JANUS_ERROR_UNAUTHORIZED

#define JANUS_ERROR_UNAUTHORIZED 403

Unauthorized (can only happen when using apisecret/auth token).

## JANUS_ERROR_UNAUTHORIZED_PLUGIN

#define JANUS_ERROR_UNAUTHORIZED_PLUGIN 405

Unauthorized access to a plugin (can only happen when using auth token).

## JANUS_ERROR_UNEXPECTED_ANSWER

#define JANUS_ERROR_UNEXPECTED_ANSWER 469

We got an ANSWER to an OFFER we never made.

## JANUS_ERROR_UNKNOWN

#define JANUS_ERROR_UNKNOWN 490

Unknown/undocumented error.

## JANUS_ERROR_UNKNOWN_REQUEST

#define JANUS_ERROR_UNKNOWN_REQUEST 453

The Janus core does not suppurt this request.

## JANUS_ERROR_WEBRTC_STATE

#define JANUS_ERROR_WEBRTC_STATE 471

The current request cannot be handled because of not compatible WebRTC state.

## JANUS_OK

#define JANUS_OK 0

Success (no error).

## Function Documentation

## janus_get_api_error()

const char * janus_get_api_error | ( | int | error | ) |

Helper method to get a string representation of an API error code.

Parameters

  [in] | error | The API error code

Returns
  A string representation of the error code